# Uses of Interface
org.italiangrid.voms.request.VOMSServerInfoStore

Packages that use VOMSServerInfoStore
Package
Description
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.

## Uses of VOMSServerInfoStore in org.italiangrid.voms.request.impl

Classes in org.italiangrid.voms.request.impl that implement VOMSServerInfoStore
Modifier and Type
Class
Description
`class`
`DefaultVOMSServerInfoStore`
A `DefaultVOMSServerInfoStore` organizes voms servers found in vomses configuration files in map keyed by vo alias.
Fields in org.italiangrid.voms.request.impl declared as VOMSServerInfoStore
Modifier and Type
Field
Description
`protected final VOMSServerInfoStore`
DefaultVOMSACService.`serverInfoStore`
The store used to keep VOMS server contact information.
Methods in org.italiangrid.voms.request.impl with parameters of type VOMSServerInfoStore
Modifier and Type
Method
Description
`DefaultVOMSACService.Builder`
DefaultVOMSACService.Builder.`serverInfoStore(VOMSServerInfoStore sis)`
Sets the `VOMSServerInfoStore` for the `DefaultVOMSACService` that this builder is creating